@(title: String, hostAndPort:String, lang: Lang)(implicit request: RequestHeader)
<!doctype html>
<html ng-app='ccSupervision'>
    <head>
        @headSupervision(title)
        <link rel="stylesheet" media="screen" href="@routes.Assets.at("stylesheets/pages/ccsupervision.css")">
        <script type="text/javascript" src="xucRoutes.WebSocketApp.javascriptChannel"></script>
        <meta name="viewport" content="width=device-width, initial-scale=1">
    </head>
<body>
    <script>
       ccsuperApp.value("title", "@title");
    </script>
    <div class="container-fluid text-center" >
        <div class="row" ng-controller="ccQueuesController" >
            <div class="col-md-12" ng-controller="ctiLinkController">
              <div class="title col-md-2">
                  <i class="glyphicon glyphicon-leaf Link{{status}}"></i> {{clock}}
              </div>
              <div class="title col-md-10 bg-primary center-block link-connected-{{connected}}">
                  <div class="col-md-5">
                      <div class="col-md-4 ">
                          <h4>Total</h4>
                      </div>
                      <div class="col-md-4">
                          <h4>%Rep <15s</h4>
                      </div>
                      <div class="col-md-4">
                          <h4>%Aband >15s</h4>
                      </div>
                  </div>
                  <div class="col-md-3">
                      <div class="col-md-6">
                          <h4>En Attente</h4>
                      </div>
                      <div class="col-md-6">
                          <h4>Tps Max</h4>
                      </div>
                  </div>
                  <div class="col-md-4">
                      <div class="col-md-6">
                          <h4>Agts dispo</h4>
                      </div>
                      <div class="col-md-6">
                          <h4>Agts en conv.</h4>
                      </div>
                  </div>
              </div>
            </div>
            <div class="col-md-12">
              <div class="title col-md-10 pull-right bold">
                  <div class="col-md-5">
                      <div class="col-md-4 {{totauxStyle.Join}}" >
                          {{totaux.TotalNumberCallsEntered}}
                      </div>
                      <div class="col-md-4 {{totauxStyle.pcAnswer}}">
                      </div>
                      <div class="col-md-4 {{totauxStyle.pcAbandonned}}">
                      </div>
                  </div>
                  <div class="col-md-3">
                      <div class="col-md-6 {{totauxStyle.waitingCalls}}">
                          {{totaux.WaitingCalls}}
                      </div>
                      <div class="col-md-6 {{totauxStyle.maxWaitingCalls}}">

                      </div>
                  </div>
                  <div class="col-md-4">
                      <div class="col-md-6 {{totauxStyle.AvailableAgents}}">
                          {{totaux.AvailableAgents}}
                      </div>
                      <div class="col-md-6 {{totauxStyle.unavailableAgents}}">
                          {{totaux.TalkingAgents}}
                      </div>
                  </div>
              </div>
            </div>
            <div class="col-md-12" ng-repeat="queue in queues | orderBy:'displayName'">
                <div class="col-md-2 queueName bold">
                    {{queue.displayName}}
                </div>
                <div class="col-md-10 bg-info">
                   <div class="col-md-5" >
                    <div class="col-md-4">
                        {{queue.TotalNumberCallsEntered}}
                    </div>
                    <div class="col-md-4">
                        {{queue.PercentageAnsweredBefore15 | number:0}}
                    </div>
                    <div class="col-md-4">
                        {{queue.PercentageAbandonnedAfter15 | number:0}}
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="col-md-6">
                        {{queue.WaitingCalls}}
                    </div>
                    <div class="col-md-6">
                        {{queue.LongestWaitTime | queueTime}}
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="col-md-6">
                        {{queue.AvailableAgents}}
                    </div>
                    <div class="col-md-6">
                        {{queue.TalkingAgents}}
                    </div>
                </div>
                </div>
            </div>

            <div class="col-md-2 queueName bold">    </div>

            <div class="col-md-10 bg-info">

            </div>
        </div>
        <div class="agents" ng-controller="ccAgentsController">
            <div class="row bg-info title">
                <div ng-class="agentStyle" ng-repeat="agents in agentsArray">
                    <div class="col-md-4 bg-primary link-connected-{{connected}}">Name</div>
                    <div class="col-md-4 bg-primary link-connected-{{connected}}">Num.</div>
                    <div class="col-md-4 bg-primary link-connected-{{connected}}">Etat.</div>
                </div>
            </div>
            <div class="row bg-info ">
                <div ng-class="agentStyle" ng-repeat="agents in agentsArray">
                    <div ng-repeat="agent in agents">
                        <div class="col-md-4 {{agent.state}}" >
                            {{agent.name}}
                        </div>
                        <div class="col-md-4 {{agent.state}}" >
                            {{agent.phoneNb}}
                        </div>
                        <div class="col-md-4 bold {{agent.state}}" >
                            <span ng-if="agent.state != 'NoAgent' ">{{agent.timeInState.toClockString()}}</span>
                            <span ng-if="agent.state == 'NoAgent' ">-</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>
    <script type="text/javascript">
        initCti("super01","0000", "@hostAndPort");
    </script>
</body>
</html>